| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SubscriberQos Class Reference
eProsima Fast DDS API Reference » DDS Public API » Fast DDS Quality of Service (QoS) Module.

Class SubscriberQos, contains all the possible Qos that can be set for a determined Subscriber. More...

`#include <SubscriberQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | SubscriberQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~SubscriberQos ()
| Destructor.
bool | operator== (const SubscriberQos &b) const
const PresentationQosPolicy & | presentation () const
| Getter for PresentationQosPolicy.
PresentationQosPolicy & | presentation ()
| Getter for PresentationQosPolicy.
void | presentation (const PresentationQosPolicy &presentation)
| Setter for PresentationQosPolicy.
const PartitionQosPolicy & | partition () const
| Getter for PartitionQosPolicy.
PartitionQosPolicy & | partition ()
| Getter for PartitionQosPolicy.
void | partition (const PartitionQosPolicy &partition)
| Setter for PartitionQosPolicy.
const GroupDataQosPolicy & | group_data () const
| Getter for GroupDataQosPolicy.
GroupDataQosPolicy & | group_data ()
| Getter for GroupDataQosPolicy.
void | group_data (const GroupDataQosPolicy &group_data)
| Setter for GroupDataQosPolicy.
const EntityFactoryQosPolicy & | entity_factory () const
| Getter for EntityFactoryQosPolicy.
EntityFactoryQosPolicy & | entity_factory ()
| Getter for EntityFactoryQosPolicy.
void | entity_factory (const EntityFactoryQosPolicy &entity_factory)
| Setter for EntityFactoryQosPolicy.

## Detailed Description

Class SubscriberQos, contains all the possible Qos that can be set for a determined Subscriber.

Although these values can be set and are transmitted during the Endpoint Discovery Protocol, not all of the behaviour associated with them has been implemented in the library. Please consult each of them to check for implementation details and default values.

## Constructor & Destructor Documentation

## ◆ SubscriberQos()

FASTDDS_EXPORTED_API SubscriberQos | ( |  | ) |

inline

Constructor.

## ◆ ~SubscriberQos()

virtual FASTDDS_EXPORTED_API ~SubscriberQos | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ entity_factory() [1/3]

EntityFactoryQosPolicy & entity_factory | ( |  | ) |

inline

Getter for EntityFactoryQosPolicy.

Returns
  EntityFactoryQosPolicy reference

## ◆ entity_factory() [2/3]

const EntityFactoryQosPolicy & entity_factory | ( |  | ) | const

inline

Getter for EntityFactoryQosPolicy.

Returns
  EntityFactoryQosPolicy reference

## ◆ entity_factory() [3/3]

void entity_factory | ( | const EntityFactoryQosPolicy & | entity_factory | ) |

inline

Setter for EntityFactoryQosPolicy.

Parameters

  entity_factory | new value for the EntityFactoryQosPolicy

## ◆ group_data() [1/3]

GroupDataQosPolicy & group_data | ( |  | ) |

inline

Getter for GroupDataQosPolicy.

Returns
  GroupDataQosPolicy reference

## ◆ group_data() [2/3]

const GroupDataQosPolicy & group_data | ( |  | ) | const

inline

Getter for GroupDataQosPolicy.

Returns
  GroupDataQosPolicy reference

## ◆ group_data() [3/3]

void group_data | ( | const GroupDataQosPolicy & | group_data | ) |

inline

Setter for GroupDataQosPolicy.

Parameters

  group_data | new value for the GroupDataQosPolicy

## ◆ operator==()

bool operator== | ( | const SubscriberQos & | b | ) | const

inline

## ◆ partition() [1/3]

PartitionQosPolicy & partition | ( |  | ) |

inline

Getter for PartitionQosPolicy.

Returns
  PartitionQosPolicy reference

## ◆ partition() [2/3]

const PartitionQosPolicy & partition | ( |  | ) | const

inline

Getter for PartitionQosPolicy.

Returns
  PartitionQosPolicy reference

## ◆ partition() [3/3]

void partition | ( | const PartitionQosPolicy & | partition | ) |

inline

Setter for PartitionQosPolicy.

Parameters

  partition | new value for the PartitionQosPolicy

## ◆ presentation() [1/3]

PresentationQosPolicy & presentation | ( |  | ) |

inline

Getter for PresentationQosPolicy.

Returns
  PresentationQosPolicy reference

## ◆ presentation() [2/3]

const PresentationQosPolicy & presentation | ( |  | ) | const

inline

Getter for PresentationQosPolicy.

Returns
  PresentationQosPolicy reference

## ◆ presentation() [3/3]

void presentation | ( | const PresentationQosPolicy & | presentation | ) |

inline

Setter for PresentationQosPolicy.

Parameters

  presentation | new value for the PresentationQosPolicy

The documentation for this class was generated from the following file:

- include/fastdds/dds/subscriber/qos/SubscriberQos.hpp